# WOK
TKWOK
WOKBuilder

# WOKBuilder_MSExtractor Class Reference

Extracts MSEntity from MS
.

`#include <WOKBuilder_MSExtractor.hxx>`

Inheritance diagram for WOKBuilder_MSExtractor:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Load ()
Standard_EXPORT void | SetEntity (const Handle(WOKBuilder_MSEntity)&anentity)
Standard_EXPORT Handle_WOKBuilder_MSEntity | Entity () const
Standard_EXPORT void | SetTemplateFiles (const Handle(TColStd_HSequenceOfHAsciiString)&templates)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | TemplateFiles () const
virtual Standard_EXPORT WOKBuilder_MSActionStatus | ExtractionStatus (const Handle(WOKBuilder_MSAction)&anaction)
virtual Standard_EXPORT WOKBuilder_MSActionType | ExtractorID () const =0
Standard_EXPORT WOKBuilder_BuildStatus | Extract (const Handle(WOKBuilder_MSchema)&ametaschema, const Handle(WOKBuilder_MSEntity)&anentity)
Standard_EXPORT WOKBuilder_BuildStatus | Extract (const Handle(WOKBuilder_MSchema)&ametaschema, const Handle(WOKBuilder_MSEntity)&anentity, const Standard_CString amode)
virtual Standard_EXPORT WOKBuilder_BuildStatus | Execute ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKBuilder_MSExtractor (const Handle(TCollection_HAsciiString)&aname, const Handle(TCollection_HAsciiString)&ashared, const Handle(TColStd_HSequenceOfHAsciiString)&searchlist)
Standard_EXPORT | WOKBuilder_MSExtractor (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)

## Protected Attributes

Standard_Address | myinitfunc

## Private Attributes

Handle_WOKBuilder_MSEntity | myentity
Handle_TColStd_HSequenceOfHAsciiString | mytemplates
Handle_TCollection_HAsciiString | myprefix
Handle_TCollection_HAsciiString | myshared
Handle_WOKUtils_SearchList | mysearchlist
WOKBuilder_MSExtractorTemplatesPtr | mytemplfunc
WOKBuilder_MSExtractorExtractPtr | myextractfunc

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_MSExtractor::WOKBuilder_MSExtractor | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(TCollection_HAsciiString)& | ashared,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | searchlist
| ) | `[protected]`

Standard_EXPORT WOKBuilder_MSExtractor::WOKBuilder_MSExtractor | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Handle_WOKBuilder_MSEntity WOKBuilder_MSExtractor::Entity | ( |  | ) | const

virtual Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_MSExtractor::Execute | ( |  | ) | `[virtual]`

| Reimplemented from WOKBuilder_MSTool.

Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_MSExtractor::Extract | ( | const Handle(WOKBuilder_MSchema)& | ametaschema,
|  | const Handle(WOKBuilder_MSEntity)& | anentity,
|  | const Standard_CString | amode
| ) |

Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_MSExtractor::Extract | ( | const Handle(WOKBuilder_MSchema)& | ametaschema,
|  | const Handle(WOKBuilder_MSEntity)& | anentity
| ) |

virtual Standard_EXPORT WOKBuilder_MSActionStatus WOKBuilder_MSExtractor::ExtractionStatus | ( | const Handle(WOKBuilder_MSAction)& | anaction | ) | `[virtual]`

| Reimplemented in WOKBuilder_MSClientExtractor, WOKBuilder_MSEngineExtractor, WOKBuilder_MSHeaderExtractor, WOKBuilder_MSJiniExtractor, WOKBuilder_MSServerExtractor, WOKBuilder_MSTemplateExtractor, WOKDFLT_MSDFLTExtractor, and WOKOBJS_MSSchExtractor.

virtual Standard_EXPORT WOKBuilder_MSActionType WOKBuilder_MSExtractor::ExtractorID | ( |  | ) | const`[pure virtual]`

| Implemented in WOKBuilder_MSClientExtractor, WOKBuilder_MSEngineExtractor, WOKBuilder_MSHeaderExtractor, WOKBuilder_MSJiniExtractor, WOKBuilder_MSServerExtractor, WOKBuilder_MSTemplateExtractor, WOKDFLT_MSDFLTExtractor, and WOKOBJS_MSSchExtractor.

Standard_EXPORT const WOKBuilder_MSExtractor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_MSTool. Reimplemented in WOKBuilder_MSClientExtractor, WOKBuilder_MSEngineExtractor, WOKBuilder_MSHeaderExtractor, WOKBuilder_MSJiniExtractor, WOKBuilder_MSServerExtractor, WOKBuilder_MSTemplateExtractor, WOKDFLT_MSDFLTExtractor, and WOKOBJS_MSSchExtractor.

virtual Standard_EXPORT void WOKBuilder_MSExtractor::Load | ( |  | ) | `[virtual]`

| Reimplemented from WOKBuilder_ToolInProcess.

Standard_EXPORT void WOKBuilder_MSExtractor::SetEntity | ( | const Handle(WOKBuilder_MSEntity)& | anentity | ) |

Standard_EXPORT void WOKBuilder_MSExtractor::SetTemplateFiles | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | templates | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKBuilder_MSExtractor::TemplateFiles | ( |  | ) | const

## Field Documentation

Handle_WOKBuilder_MSEntity WOKBuilder_MSExtractor::myentity `[private]`

WOKBuilder_MSExtractorExtractPtr WOKBuilder_MSExtractor::myextractfunc `[private]`

Standard_Address WOKBuilder_MSExtractor::myinitfunc `[protected]`

Handle_TCollection_HAsciiString WOKBuilder_MSExtractor::myprefix `[private]`

Handle_WOKUtils_SearchList WOKBuilder_MSExtractor::mysearchlist `[private]`

Handle_TCollection_HAsciiString WOKBuilder_MSExtractor::myshared `[private]`

| Reimplemented from WOKBuilder_ToolInProcess.

Handle_TColStd_HSequenceOfHAsciiString WOKBuilder_MSExtractor::mytemplates `[private]`

WOKBuilder_MSExtractorTemplatesPtr WOKBuilder_MSExtractor::mytemplfunc `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_MSExtractor.hxx